summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jefferson Rocha2020-09-18 19:23:40 +0200
committer Willy Sudiarto Raharjo2020-09-18 19:23:40 +0200
commit31e0c5682d818edf8192a33718fa6b646b3697cb (patch)
tree7ca3c6bcc523478784cb7776b78bf1301762b69e
parentb4412dd896c20983f670b1861354dd362befddfb (diff)
downloadslackbuilds-31e0c5682d818edf8192a33718fa6b646b3697cb.tar.gz
system/yaft: Added (Yet another framebuffer terminal).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/yaft/README23
-rw-r--r--system/yaft/sbo-patches/background-drawm.patch11
-rw-r--r--system/yaft/slack-desc19
-rw-r--r--system/yaft/yaft.SlackBuild74
-rw-r--r--system/yaft/yaft.info10
5 files changed, 137 insertions, 0 deletions
diff --git a/system/yaft/README b/system/yaft/README
new file mode 100644
index 0000000000..751cd4f635
--- /dev/null
+++ b/system/yaft/README
@@ -0,0 +1,23 @@
+Yet another framebuffer terminal (aka "yaft") is simple terminal emulator for minimalist,
+living without X.
+This software is being developed to replace Linux console for personal use.
+
+Features:
+
+* various framebuffer types (8/15/16/24/32bpp)
+* compatible with vt102 and Linux console (detail)
+* UTF-8 encoding and UCS2 glyphs
+* 256 colors (same as xterm)
+* wallpaper
+* DRCS (DECDLD/DRCSMMv1) (experimental)
+* sixel (experimental)
+
+OPTIONS
+
+If you need active Background Draw (always draw even if vt is not active):
+
+ BACKGROUND_DRAW=yes sh yaft.SlackBuild
+
+
+!!! NOTE !!!
+sbo-patches/background-draw.patch : For activate the BACKGROUND DRAW option
diff --git a/system/yaft/sbo-patches/background-drawm.patch b/system/yaft/sbo-patches/background-drawm.patch
new file mode 100644
index 0000000000..0ffeb7cf9f
--- /dev/null
+++ b/system/yaft/sbo-patches/background-drawm.patch
@@ -0,0 +1,11 @@
+--- conf.h 2020-09-12 15:40:06.962795268 -0300
++++ b/conf.h 2020-09-12 15:54:57.712812014 -0300
+@@ -14,7 +14,7 @@
+ VERBOSE = false, /* write dump of input to stdout, debug message to stderr */
+ TABSTOP = 8, /* hardware tabstop */
+ LAZY_DRAW = true, /* don't draw when input data size is larger than BUFSIZE */
+- BACKGROUND_DRAW = false, /* always draw even if vt is not active */
++ BACKGROUND_DRAW = true, /* always draw even if vt is not active */
+ VT_CONTROL = true, /* handle vt switching */
+ FORCE_TEXT_MODE = false, /* force KD_TEXT mode (not use KD_GRAPHICS mode) */
+ SUBSTITUTE_HALF = 0x0020, /* used for missing glyph(single width): U+0020 (SPACE) */
diff --git a/system/yaft/slack-desc b/system/yaft/slack-desc
new file mode 100644
index 0000000000..5d312533f1
--- /dev/null
+++ b/system/yaft/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+yaft: yaft (Yet another framebuffer terminal)
+yaft:
+yaft: Simple terminal emulator for minimalist. Living without X.
+yaft:
+yaft:
+yaft:
+yaft:
+yaft:
+yaft:
+yaft: https://github.com/uobikiemukot/yaft
+yaft:
diff --git a/system/yaft/yaft.SlackBuild b/system/yaft/yaft.SlackBuild
new file mode 100644
index 0000000000..bc1dd40caa
--- /dev/null
+++ b/system/yaft/yaft.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for abella
+# Copyright 2020 Jefferson Rocha <jeffersoncarneiro@slackjeff.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=yaft
+VERSION=${VERSION:-0.2.9}
+UNPACK=${UNPACK:-v}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Enable Backgroun Draw!
+BACKGROUND_DRAW=${BACKGROUND_DRAW:-no}
+[ "$BACKGROUND_DRAW" = 'yes' ] && patch -p1 <${CWD}/sbo-patches/background-drawm.patch
+
+# Var MANDIR not work.
+sed -i 's|$(DESTDIR)/usr/share/man|$(DESTDIR)/usr/man|' makefile
+
+# Generate bin and install
+make PREFIX=/usr
+
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Send original Docs and archives
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/yaft/yaft.info b/system/yaft/yaft.info
new file mode 100644
index 0000000000..7e02516027
--- /dev/null
+++ b/system/yaft/yaft.info
@@ -0,0 +1,10 @@
+PRGNAM="yaft"
+VERSION="0.2.9"
+HOMEPAGE="https://github.com/uobikiemukot/yaft"
+DOWNLOAD="https://github.com/uobikiemukot/yaft/archive/v0.2.9/yaft-0.2.9.tar.gz"
+MD5SUM="ddcbe929c51c453b01e3d18579b0860a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jefferson Rocha"
+EMAIL="jeffersoncarneiro@slackjeff.com.br"